use if ! ( grep { $_ eq '.' } @INC ), qw[lib .];
use lib 'inc';
use Devel::AssertOS qw[Linux];
# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.011.
use strict;
use warnings;

use 5.014000;

use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "Raspberry Pi SD-flashing script with safety checks to avoid erasing the wrong device",
  "AUTHOR" => "Ian Kluft <cpan-dev\@iankluft.com>",
  "BUILD_REQUIRES" => {
    "Module::Build" => "0.28"
  },
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0,
    "Module::Build" => "0.28"
  },
  "DISTNAME" => "PiFlash",
  "EXE_FILES" => [
    "bin/piflash"
  ],
  "LICENSE" => "apache",
  "MIN_PERL_VERSION" => "5.014000",
  "NAME" => "PiFlash",
  "PREREQ_PM" => {
    "Carp" => 0,
    "File::Basename" => 0,
    "File::LibMagic" => 0,
    "File::Path" => 0,
    "File::Slurp" => 0,
    "Getopt::Long" => 0,
    "IO::Handle" => 0,
    "IO::Poll" => 0,
    "Module::Pluggable" => 0,
    "POSIX" => 0,
    "Try::Tiny" => 0,
    "YAML::XS" => 0,
    "autodie" => 0,
    "parent" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "Data::Dumper" => 0,
    "Test::More" => 0
  },
  "VERSION" => "0.3.1",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Carp" => 0,
  "Data::Dumper" => 0,
  "File::Basename" => 0,
  "File::LibMagic" => 0,
  "File::Path" => 0,
  "File::Slurp" => 0,
  "Getopt::Long" => 0,
  "IO::Handle" => 0,
  "IO::Poll" => 0,
  "Module::Build" => "0.28",
  "Module::Pluggable" => 0,
  "POSIX" => 0,
  "Test::More" => 0,
  "Try::Tiny" => 0,
  "YAML::XS" => 0,
  "autodie" => 0,
  "parent" => 0,
  "strict" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
